Subject: FVWM: fvwm2 window flickering

From: "D. Unger" <[email-masked]>
Date: Fri, 8 Nov 1996 17:48:35 +0100 (MET)

Hello,

using a commercial CFD software, we get flickering windows when using 
fvwm2 on Linux and Solaris 2.5 machines. I don't know if this is a problem
of the window manager or the application or maybe both, and I therefore send
you a copy of the conversation between me and Chris Morley of Fluent Inc.,
who found a workaround (in his code, and I haven't tested it yet!) but he 
guesses that there's a bug in fvwm2.

Any suggestions?

-------------
I wrote:

	Hello,

using UNS4.0 with the public-domain window manager fvwm2.0.42, compiled
for Solaris 2.5 and (e.g.) S.U.S.E.-Linux 4.2 (kernel version 1.99.4) 
over X-Windows (X11R5/6) windows partly (1/2, 3/4) flicker with a few Hz, 
making it impossible to work with it. 
The problem does not occur when using the older fvwm1.24r. 
Have you heard of this problem and do you have a solution for it(please don't
tell me to use the older WM)?

-------------
I answered C.M.:

	Dear Mr. Morley,
> 
> 
> Hi -
> 	I am not familiar with this problem, but will attempt to help
> if you give me some more information. What platform/os are you running
> UNS on, and what platform are you displaying on (it sounds like you may
> be running on solaris and displaying on linux?). 

	We are running UNS on Sparcstations 4, 20 and a Ultra 2, 
	all running under Solaris 2.5.
	The problem arises when either displaying on the machine
	itself or, using X-Windows over the net, displaying on
	another Sun or a Linux PC, but ALL machines using fvwm2,
	the now default window manager for Linux. The flickering
	does never occur using Fluent 4.3, it does occur using UNS 4.0.

> Also, is the flickering
> in the GUI windows (text console or panels) or only in the graphics
> windows? If it is the graphics window, perhaps you could forward the
> output from the Display Options panel Info button (under the Display
> menu) and the output from xdpyinfo. 

	All I need to do is:
		uns 2d &
		DEFINE-MODELS-VISCOUS
	and switch on any turbulent option. the flickering then
	does not stop, switching back to laminar.
...

> On solaris systems, we use Motif 
> 1.2.4 from the CDE package (/usr/dt/... ). The graphics are done with
> a third party graphics library (HOOPS from Autodesk).
> 

-------------
Chris Morley wrote:

Hello -
	I have retrieved and built fvwm2.0.43 on solaris 2.5 and
observed the problem you described. I have modified some of our
interface code to work around the problem (although I think the
behavior may indicate a bug in the fvwm2 code).
	I have put the modified version of cortex3.1 on our ftp
server in case you are able to access ftp. This version of cortex
works with uns.4.1.4 which I hope you have received. To get the
modified cortex via ftp, connect to our ftp server:
...

-- 
                                 \\\|///
                                \\ ~ ~ //
                                (/ @ @ /)
  ----------------------------oOOo-(_)-oOOo-------------------------------
|                                                                        |
|   Ditmar Unger                           E-mail:                       |
|   Fachgebiet Turbomaschinen              [email-masked]     |
|   und Fluidantriebstechnik                                             | 
|   TH Darmstadt                           Tel.  +49  (0) 6151 16-2603   |
|   Petersenstr. 30                        Fax.                16-5559   |
|   D - 64287 Darmstadt                                                  |
|                                                                        |
|   WWW:	http://www.th-darmstadt.de/fb/mb/tfa/Welcome.html        |
  ------------------------------------------------------------------------